/*
* Image scrolling JQuery code.
*
* Copyright (c) 2007 Jan Dittberner <jan@dittberner.info>
* Jan Dittberner IT-Consulting & -Solutions
* Cottbuser Str. 1, D-01129 Dresden
* All rights reserved.
*/
var imgprefix = "";
var imgfull = "";
var imgthumb = "";

function getPathParts(imagesrc) {
    var filename = imagesrc.substring(imagesrc.lastIndexOf("/") + 1);
    var pathstart =imagesrc.substring(0, imagesrc.lastIndexOf("/") + 1);
    if (pathstart.indexOf(imgfull) ==
        (pathstart.length - imgfull.length)) {
        pathstart = pathstart.substring(0, pathstart.length - imgfull.length);
    } else if (pathstart.indexOf(imgthumb) ==
               (pathstart.length - imgthumb.length)) {
        pathstart = pathstart.substring(0, pathstart.length - imgthumb.length);
    }
    var dirname = pathstart.split(imgprefix)[1];
    var basename = dirname + filename
    var retval = {
        'filename'  : filename,
        'pathstart' : pathstart,
        'dirname'   : dirname,
        'basename'  : basename
    };
    return retval;
}

function updateContentImage(pathParts) {
    var content_main = $("#content_main img").attr("src",
        pathParts.pathstart + pathParts.filename);
    $("#content_main a").attr("href", pathParts.pathstart +
                              imgfull + pathParts.filename);
    $.getJSON("fetchdescription.php",
              {"imagename" : pathParts.basename},
              function(data, textStatus) {
                  $("#imagedescription").text(data["data"]);
              });
}

$(document).ready(function() {
    $("#arrleft").mouseover(function() {
        $("#scrollable").animate({
            left: "0px"
        }, 9000);
    }).mouseout(function() {
        $("#scrollable").stop();
    });
    $("#arrright").mouseover(function() {
        offset = parseInt($("#imgscroller").css("width")) -
            parseInt($("#scrollable").css("width"));
        $("#scrollable").animate({
            left: offset + "px"
        }, 9000);
    }).mouseout(function() {
        $("#scrollable").stop();
    });
    $("#backbtn").click(function() {
        var parts = getPathParts($("img#contentimg").attr("src"));
        var pred = null;
        $("div.thumbnail img").each(function() {
            if (pred == null) {
                pred = getPathParts(this.src);
            } else {
                var thumbparts = getPathParts(this.src);
                if (thumbparts.basename == parts.basename) {
                    updateContentImage(pred);
                }
                pred = thumbparts;
            }
        });
    });
    $("#fwdbtn").click(function() {
        var parts = getPathParts($("img#contentimg").attr("src"));
        var pred = null;
        $("div.thumbnail img").each(function() {
            var thumbparts = getPathParts(this.src);
            if (thumbparts.basename == parts.basename) {
                pred = thumbparts;
            } else if (pred != null) {
                updateContentImage(thumbparts);
                pred = null;
            }
        });
    });
    $("div.thumbnail img").mouseover(function() {
        updateContentImage(getPathParts(this.src));
    });
    $("a.lightbox").lightBox();
});